# Administration Reference

## vos addsite

Purpose

Adds a read-only site definition to a volume's VLDB entry

Synopsis

    vos addsite -server <machine name for new site>
                -partition <partition name for new site>
                -id <volume name or ID>  [-cell <cell name>]
                [-noauth]  [-localauth]  [-verbose]  [-help]

    vos ad -s <machine name for new site>  -p <partition name for new site>
           -i <volume name or ID>  [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

Description

The vos addsite command defines a new read-only site (partition on a file server machine, specified by the -server and -partition arguments) in the Volume Location Database (VLDB) entry of the read/write volume named by the -id argument. When the vos release command is next issued against the read/write volume, a read-only copy of it is distributed to all of the read-only sites, including the newly defined one.

Cautions

A volume's VLDB entry accommodates a maximum number of site definitions, as defined in the IBM AFS Release Notes. The site housing the read/write and backup versions of the volume counts as one site, and each read-only site counts as an additional site (even the read-only site defined on the same file server machine and partition as the read/write site counts as a separate site). The limit in the VLDB entry effectively determines the maximum number of copies of the volume that are available to AFS clients.

Attempts to create additional sites by using this command fail with an error.

Options

-server
  Identifies the file server machine where the read-only volume is to reside. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

-partition
  Identifies the partition where the read-only volume is to reside, on the file server machine named by the -server argument. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see the introductory reference page for the vos command suite.

-id
  Specifies either the complete name or volume ID number of the read/write source volume.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example, appropriate in the State University cell, defines a read-only site for the cell's root.afs volume.

       % vos addsite -server sv7.stateu.edu -partition /vicepb -id root.afs

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

Related Information

vos

vos examine

vos release

© IBM Corporation 2000. All Rights Reserved